﻿using System.Collections.Generic;

namespace MAQEmailGuidelines
{
    public static class MailErrors
    {
        #region public properties
        public static string ViolationMessage { get; set; }
        public static string ToComment { get; set; }
        public static string BCCComment { get; set; }
        public static string SlangComment { get; set; }
        public static string UpperCaseComment { get; set; }
        public static string ExclamationMarksComment { get; set; }
        public static string BackgroundImageComment { get; set; }
        public static string ImportanceComment { get; set; }        
        public static List<string> ViolationList { get; set; }
        public static int MailViolationCount { get; set; }        
        public enum MailType
        {
            Mail, Meeting
        }
        #endregion
        public static void ClearAllError()
        {
            MailErrors.ViolationMessage = "";
            MailErrors.ViolationList.Clear();
            MailErrors.MailViolationCount = 0;
        }
    }
}
